version: "2"

services:
  www:
    user: "1964"
    read_only: true
    tmpfs:
      - /etc/nginx/conf.d:mode=770,uid=1964
      - /var/cache/nginx/client_temp
      - /var/cache/nginx/proxy_temp
      - /var/cache/nginx/fastcgi_temp
      - /var/cache/nginx/uwsgi_temp
      - /var/cache/nginx/scgi_temp
      - /var/run:mode=770,uid=1964
    volumes:
      - ./templates:/etc/nginx/templates
      - /etc/localtime:/etc/localtime:ro
    ports:
    - 4242:8080
    environment:
      - NGINX_PORT=8080
      - NGINX_HOST="_"
  builder:
    #user: "501"
    read_only: true
    cap_add:
      - ALL
    environment:
      - REPOSITORY_URL=""
    volumes:
      - ..:/repo:mode=770,uid=501,gid=20
